<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

//$zseries = "$_GET[series]";
//browse($zseries);
//$keycond = " AND `series`='$zseries' ";
$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

//$zroot = $_SESSION["zdbroot"];

$success = false;

$maindb = 'accmast';
//$trandb = 'estitran';
$file = 'supplier.php';
$keyfld = "accode";

$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `accode` = '$searchTerm'";
    }else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND (`add1` = '$searchTerm' or `add2` = '$searchTerm' or `add3` = '$searchTerm') ";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `city` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `mobile` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `email` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `accode` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND (`add1` LIKE '%$searchTerm%' or `add2` LIKE '%$searchTerm%' or `add3` LIKE '%$searchTerm%') ";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `city` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `mobile` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `email` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `name`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `accode`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY concat('add1','add2','add3') ";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `city`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `mobile`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `email`";
}


$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = "DESC";
} else {
    $ordcond = "ASC";
}

$query = "SELECT accode, name, concat(add1, ' ',  add2, ' ',  add3 ) as address, add1, add2, add3 , city, mobile, email FROM `$maindb` 
    WHERE grpcode = '009' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";

$result = mysqli_query($conn, $query) or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_array($result)) {

    $rows[] = ['success' => true,
        'value' => $ctr,
        'accode' => $r['accode'],
        'name' => $r['name'],
        'address' => $r['address'],
        'city' => $r['city'],
        'mobile' => $r['mobile'],
        'email' => $r['email'],
        'action' => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
   $ctr++;
}
//browse($rows);
header("Content-type: application\json");
echo json_encode($rows);

?>